> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Suggest Routing With EDD

> Suggest Routing With EDD



## OpenAPI

````yaml /openapi/openapi_orderrouting.json post /commerce/orders/orderrouting/api/v1/routing/edd/suggestion
openapi: 3.0.1
info:
  description: |-
    <div id="overview_ORDERROUTING">
                <h2>ORDER ROUTING</h2>
                <p>Although the <a href="/developer-guides/order-routing">Order Routing
                        interface</a> is the best place to configure order routing rules, some
                    aspects of routing can be managed through REST API calls when convenient.</p>
                <p>Use the <strong>Data List</strong> resource to define the cases for which routing filters are applied.</p>
                <p>Use the <strong>Routing Filter</strong> resource to configure sets of rules that filter out fulfillers that do not match given order criteria.</p>
                <p>Use the <strong>Routing Group</strong> resource to manage and sort location groups specifically in context of routing
                    preferences.</p>
                <p>Use the general <strong>Routing</strong> resource to test your order routing configurations, such as by retrieving a list of eligible fulfillers for a certain order based on set
                    routing rules or obtain a log of order routing decisions.</p>
            </div>
  title: Order Routing
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
tags:
  - description: Classic UI API - Tenant-level routing configuration
    name: OrderRoutingTenant
  - description: Classic UI API - Manage custom data lists
    name: OrderRoutingDataList
  - description: Classic UI API - Order Routing Settings configuration
    name: OrderRoutingSettings
  - description: New UI API - Manage routing scenarios
    name: OrderRoutingScenario
  - description: Classic UI API - Location information
    name: OrderRoutingLocation
  - description: Classic UI API - Environment configuration
    name: OrderRoutingEnvironment
  - description: New UI API - Export and import strategies
    name: OrderRoutingStrategyExport
  - description: Classic UI API - Post-routing actions
    name: OrderRoutingAfterAction
  - description: New UI API - Filter data for routing scenarios
    name: OrderRoutingFilterData
  - description: New UI API - Manage routing strategies
    name: OrderRoutingStrategy
  - description: New UI API - Manage custom data lists for filtering
    name: OrderRoutingCustomDataList
  - description: Classic UI API - Manage routing groups
    name: OrderRoutingGroup
  - description: Classic UI API - Configure sorting rules
    name: OrderRoutingSort
  - description: Classic UI API - Routing testing and debugging
    name: Routing
  - description: New UI API - Estimated delivery date routing
    name: OrderRoutingEDD
  - description: Classic UI API - Site-specific routing configuration
    name: OrderRoutingSite
  - description: Classic UI API - Configure routing filters
    name: OrderRoutingFilter
paths:
  /commerce/orders/orderrouting/api/v1/routing/edd/suggestion:
    post:
      tags:
        - OrderRoutingEDD
      summary: Suggest Routing With EDD
      description: Suggest Routing With EDD
      parameters:
        - in: query
          name: returnSuggestionLog
          required: false
          schema:
            default: false
            type: boolean
        - in: query
          name: returnEddCalculationLog
          required: false
          schema:
            default: false
            type: boolean
        - description: Tenant
          in: header
          name: x-vol-tenant
          required: true
          schema:
            format: int32
            type: integer
        - description: Site
          in: header
          name: x-vol-site
          required: true
          schema:
            format: int32
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EddSuggestionRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EddSuggestionResponse'
          description: OK
        '400':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/APIErrorResponse'
          description: Bad Request
        '403':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/APIErrorResponse'
          description: Forbidden
        '409':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/APIErrorResponse'
          description: Conflict
        '410':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/APIErrorResponse'
          description: Gone
        '500':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/APIErrorResponse'
          description: Internal Server Error
components:
  schemas:
    EddSuggestionRequest:
      properties:
        bundlingStrategy:
          enum:
            - ITEM_DEPENDENCY
          type: string
        cartID:
          type: string
        customData:
          additionalProperties:
            type: string
          type: object
        eddItems:
          items:
            $ref: '#/components/schemas/EDDOrderItem'
          type: array
        eddItemsAndRegenerateOrderItems:
          items:
            $ref: '#/components/schemas/EDDOrderItem'
          type: array
          writeOnly: true
        environmentID:
          format: int32
          type: integer
        exclusionListLocationCode:
          items:
            $ref: '#/components/schemas/ExclusionListEntryLocationCode'
          type: array
        extendedCustomerInfo:
          $ref: '#/components/schemas/ExtendedCustomerInfo'
        extendedOrderInfo:
          $ref: '#/components/schemas/ExtendedOrderInfo'
        externalResponseID:
          type: string
        forceSTHConsolidationOnSplitShipments:
          type: boolean
        fraud:
          format: int32
          type: integer
        futureDateLimit:
          format: date-time
          type: string
        futureExclusionListLocationCode:
          items:
            $ref: '#/components/schemas/ExclusionListEntryLocationCode'
          type: array
        inventoryRequestType:
          enum:
            - ALL
            - ANY
            - PARTIAL
            - ALL_STORES
          type: string
        isExpress:
          type: boolean
        locationCodeWhiteList:
          items:
            type: string
          type: array
        numShipmentsNotInRequest:
          format: int32
          type: integer
        orderID:
          format: int32
          type: integer
        orderType:
          description: >-
            The order type for the Estimated Delivery Date (EDD) suggestion.
            Accepts `DIRECTSHIP`, `TRANSFER`, `DELIVERY`, or `BOPIS`.
          enum:
            - DIRECTSHIP
            - TRANSFER
            - DELIVERY
            - BOPIS
          type: string
        pickupLocationCode:
          type: string
        remorsePeriodInMinutes:
          format: int32
          type: integer
        shippingAddress:
          $ref: '#/components/schemas/OrderRoutingShippingAddress'
        shippingMethod:
          type: string
        sort:
          enum:
            - SUGGESTION_SORT
          type: string
        sthConsolidationLocationOverride:
          type: string
        strategyID:
          type: string
        tags:
          additionalProperties:
            type: string
          type: object
        total:
          type: number
      required:
        - eddItems
        - orderType
        - total
      type: object
    EddSuggestionResponse:
      properties:
        assignmentSuggestionShipmentGroups:
          items:
            $ref: '#/components/schemas/AssignmentSuggestionShipmentGroup'
          type: array
        attributes:
          items:
            $ref: '#/components/schemas/OrderRoutingOrderAttribute'
          type: array
        availableLocations:
          items:
            format: int32
            type: integer
          type: array
        customData:
          additionalProperties:
            type: string
          type: object
        data:
          additionalProperties:
            type: string
          type: object
        eddAssignments:
          items:
            $ref: '#/components/schemas/EddItemSuggestion'
          type: array
        eddCalculationLog:
          $ref: '#/components/schemas/EddCalculationLog'
        eddCalculationLogID:
          format: int32
          type: integer
        externalResponseID:
          type: string
        responseID:
          format: int32
          type: integer
        route:
          enum:
            - DIRECTSHIP
            - TRANSFER
            - STH_CONSOLIDATED
            - RETURN
            - DISPOSITION
            - DELIVERY
            - BOPIS
          type: string
        stateChangeSuggestions:
          additionalProperties:
            items:
              $ref: '#/components/schemas/EDDStateChangeSuggestion'
            type: array
          type: object
        suggestionLog:
          $ref: '#/components/schemas/SuggestionLog'
      type: object
    APIErrorResponse:
      properties:
        additionalInfo:
          type: string
        errorMessage:
          type: string
      type: object
    EDDOrderItem:
      properties:
        backorderable:
          type: boolean
        basicItem:
          type: boolean
        condition:
          type: string
        customItemData:
          additionalProperties:
            type: object
          type: object
        dimensionUnit:
          enum:
            - kg
            - cm
            - m
            - liters
            - grams
            - oz
            - lb
            - inches
            - ft
          type: string
        extendedProductInfo:
          $ref: '#/components/schemas/ExtendedProductInfo'
        futureOrderable:
          type: boolean
        granularInventoryItem:
          type: boolean
        height:
          format: double
          type: number
        isPreassigned:
          type: boolean
        itemDependency:
          format: int32
          type: integer
        length:
          format: double
          type: number
        orderItemID:
          format: int32
          type: integer
        partNumber:
          type: string
        preAssignedLocations:
          items:
            $ref: '#/components/schemas/PreAssignedLocation'
          type: array
        productChildItems:
          items:
            $ref: '#/components/schemas/ProductChildItem'
          type: array
        productTitle:
          type: string
        productUsage:
          enum:
            - standard
            - configurable
            - bundle
            - productWithExtras
          type: string
        quantity:
          format: int32
          type: integer
        serialNumber:
          type: string
        shippingMethod:
          type: string
        sku:
          type: string
        tags:
          additionalProperties:
            type: string
          type: object
        taxable:
          type: boolean
        upc:
          type: string
        weight:
          format: double
          type: number
        weightUnit:
          enum:
            - kg
            - cm
            - m
            - liters
            - grams
            - oz
            - lb
            - inches
            - ft
          type: string
        width:
          format: double
          type: number
      type: object
    ExclusionListEntryLocationCode:
      properties:
        locationCode:
          type: string
        orderItemID:
          format: int32
          type: integer
      type: object
    ExtendedCustomerInfo:
      properties:
        accountType:
          type: string
        attributes:
          items:
            $ref: '#/components/schemas/OrderRoutingAttribute'
          type: array
        companyOrOrganization:
          type: string
        customerId:
          type: string
        customerSinceDate:
          format: date-time
          type: string
        externalId:
          type: string
        segments:
          items:
            type: string
          type: array
        taxExempt:
          type: boolean
        taxId:
          type: string
      type: object
    ExtendedOrderInfo:
      properties:
        attributes:
          items:
            $ref: '#/components/schemas/OrderRoutingAttribute'
          type: array
        orderId:
          type: string
        type:
          type: string
      type: object
    OrderRoutingShippingAddress:
      properties:
        addressID:
          format: int32
          type: integer
        addressLine1:
          type: string
        city:
          type: string
        countryCode:
          type: string
        customerID:
          format: int32
          type: integer
        latitude:
          format: double
          type: number
        longitude:
          format: double
          type: number
        phone:
          type: string
        postalCode:
          type: string
        state:
          type: string
      type: object
    AssignmentSuggestionShipmentGroup:
      properties:
        data:
          additionalProperties:
            type: string
          type: object
        id:
          type: string
        locationCode:
          type: string
      type: object
    OrderRoutingOrderAttribute:
      properties:
        fullyQualifiedName:
          type: string
        values:
          items:
            type: string
          type: array
      type: object
    EddItemSuggestion:
      properties:
        assignments:
          items:
            $ref: '#/components/schemas/EddAssignmentSuggestion'
          type: array
        customItemData:
          additionalProperties:
            type: object
          type: object
        data:
          additionalProperties:
            type: string
          type: object
        estimatedDeliveryDates:
          items:
            $ref: '#/components/schemas/OrderRoutingEstimatedDeliveryDate'
          type: array
        futureAssignments:
          items:
            $ref: '#/components/schemas/EddAssignmentSuggestion'
          type: array
        nestedItemAssignments:
          items:
            $ref: '#/components/schemas/EddAssignmentSuggestion'
          type: array
        orderItemID:
          format: int32
          type: integer
        quantity:
          format: int32
          type: integer
        shipmentGroup:
          type: string
        upc:
          type: string
      type: object
    EddCalculationLog:
      properties:
        cartID:
          type: string
        created:
          format: date-time
          type: string
        creatorUsername:
          type: string
        eddCalculationLogID:
          format: int32
          type: integer
        environmentID:
          format: int32
          type: integer
        events:
          items:
            $ref: '#/components/schemas/EddCalculationEvent'
          type: array
        fieldsFromNewEddCalculationRequest:
          $ref: '#/components/schemas/NewEddCalculationRequestEvent'
        orderID:
          format: int32
          type: integer
        pathString:
          type: string
        persisted:
          type: boolean
        siteID:
          format: int32
          type: integer
        suggestionID:
          format: int32
          type: integer
        tenantID:
          format: int32
          type: integer
        updated:
          format: date-time
          type: string
        updaterUsername:
          type: string
        userContext:
          $ref: '#/components/schemas/UserContextInformation'
      required:
        - environmentID
        - siteID
        - tenantID
      type: object
    EDDStateChangeSuggestion:
      properties:
        orderItemID:
          format: int32
          type: integer
        quantity:
          format: int32
          type: integer
        stateChange:
          enum:
            - CANCEL
            - CUSTOMER_CARE
            - AVAILABLE
            - BACKORDER
          type: string
        upc:
          type: string
      type: object
    SuggestionLog:
      properties:
        created:
          format: date-time
          type: string
        creatorUsername:
          type: string
        environmentID:
          format: int32
          type: integer
        events:
          items:
            $ref: '#/components/schemas/SuggestionEvent'
          type: array
        externalResponseID:
          type: string
        fieldsForNewEddSuggestionRequest:
          $ref: '#/components/schemas/NewEddRequestSuggestionEvent'
        fieldsForNewReturnsSuggestionRequest:
          $ref: '#/components/schemas/NewReverseLogisticsRequestSuggestionEvent'
        fieldsForNewSuggestionRequest:
          $ref: '#/components/schemas/NewRequestSuggestionEvent'
        orderID:
          format: int32
          type: integer
        orderTypeCategory:
          enum:
            - STANDARD
            - REVERSE_LOGISTICS
            - ESTIMATED_DELIVERY_DATE
            - EDD_SUGGESTION
          type: string
        pathString:
          type: string
        persisted:
          type: boolean
        returnID:
          format: int32
          type: integer
        siteID:
          format: int32
          type: integer
        suggestionID:
          format: int32
          type: integer
        tenantID:
          format: int32
          type: integer
        updated:
          format: date-time
          type: string
        updaterUsername:
          type: string
        userContext:
          $ref: '#/components/schemas/UserContextInformation'
      required:
        - environmentID
        - siteID
        - tenantID
      type: object
    ExtendedProductInfo:
      properties:
        attributes:
          items:
            $ref: '#/components/schemas/OrderRoutingAttribute'
          type: array
      type: object
    PreAssignedLocation:
      properties:
        futureDate:
          format: date-time
          type: string
        isTransfer:
          type: boolean
        locationCode:
          type: string
        quantity:
          format: int32
          type: integer
        transferToLocationCode:
          type: string
      type: object
    ProductChildItem:
      properties:
        backorderable:
          type: boolean
        condition:
          type: string
        customItemData:
          additionalProperties:
            type: object
          type: object
        eddHeight:
          $ref: '#/components/schemas/ItemMeasurement'
        eddLength:
          $ref: '#/components/schemas/ItemMeasurement'
        eddWeight:
          $ref: '#/components/schemas/ItemMeasurement'
        eddWidth:
          $ref: '#/components/schemas/ItemMeasurement'
        extendedProductInfo:
          $ref: '#/components/schemas/ExtendedProductInfo'
        futureOrderable:
          type: boolean
        granularInventoryItem:
          type: boolean
        itemDependency:
          format: int32
          type: integer
        orderItemID:
          format: int32
          type: integer
        partNumber:
          type: string
        preAssignedLocations:
          items:
            $ref: '#/components/schemas/PreAssignedLocation'
          type: array
        productTitle:
          type: string
        quantity:
          format: int32
          type: integer
        serialNumber:
          type: string
        shippingMethod:
          type: string
        sku:
          type: string
        tags:
          additionalProperties:
            type: string
          type: object
        taxable:
          type: boolean
        upc:
          type: string
      type: object
    OrderRoutingAttribute:
      properties:
        attributeFQN:
          type: string
        attributeValues:
          items:
            type: string
          type: array
      type: object
    EddAssignmentSuggestion:
      properties:
        data:
          additionalProperties:
            type: string
          type: object
        estimatedDeliveryDates:
          items:
            $ref: '#/components/schemas/OrderRoutingEstimatedDeliveryDate'
          type: array
        futureDate:
          format: date-time
          type: string
        futureDateString:
          type: string
        locationCode:
          type: string
        orderItemID:
          format: int32
          type: integer
        quantity:
          format: int32
          type: integer
        route:
          enum:
            - DIRECTSHIP
            - TRANSFER
            - STH_CONSOLIDATED
            - RETURN
            - DISPOSITION
            - DELIVERY
            - BOPIS
          type: string
        shipmentGroup:
          type: string
        transferToLocationCode:
          type: string
        upc:
          type: string
      type: object
    OrderRoutingEstimatedDeliveryDate:
      properties:
        carrier:
          type: string
        data:
          type: object
        eddWindows:
          items:
            $ref: '#/components/schemas/EddWindow'
          type: array
        estimatedDeliveryDate:
          format: date-time
          type: string
        estimatedFulfillmentDate:
          format: date-time
          type: string
        orderCutoffDate:
          format: date-time
          type: string
        serviceType:
          type: string
      type: object
    EddCalculationEvent:
      properties:
        causeID:
          format: int32
          type: integer
        errors:
          items:
            type: string
          type: array
        type:
          enum:
            - NEW_EDD_CALCULATION_REQUEST
            - ROUTING_SUGGESTION_RECEIVED
            - PREASSIGNMENTS_PROCESSING_INITIATED
            - EDD_RESPONSE_COMPLETE
            - LOCATION_DETAILS_FETCHED
            - REMORSE_PERIOD_APPLIED
            - FULFILLMENT_DATE_CALCULATED
            - CUTOFF_TIME_CALCULATED
            - DAY_SKIPPED_FOR_ASSIGNMENT
            - NO_VALID_DAY_FOUND_FOR_ASSIGNMENT
            - PROCESSING_HOURS_ROLLOVER
            - TRANSIT_TIME_RESPONSE
            - ASSIGNMENT_EDD_CALCULATED
            - TRANSIT_TIME_ERROR
            - TRANSFER_EDD_CALCULATED
            - CONSOLIDATION_LATEST_TRANSFER_SELECTED
          type: string
      required:
        - type
      type: object
    NewEddCalculationRequestEvent:
      properties:
        causeID:
          format: int32
          type: integer
        errors:
          items:
            type: string
          type: array
        request:
          $ref: '#/components/schemas/EddSuggestionRequest'
        type:
          enum:
            - NEW_EDD_CALCULATION_REQUEST
            - ROUTING_SUGGESTION_RECEIVED
            - PREASSIGNMENTS_PROCESSING_INITIATED
            - EDD_RESPONSE_COMPLETE
            - LOCATION_DETAILS_FETCHED
            - REMORSE_PERIOD_APPLIED
            - FULFILLMENT_DATE_CALCULATED
            - CUTOFF_TIME_CALCULATED
            - DAY_SKIPPED_FOR_ASSIGNMENT
            - NO_VALID_DAY_FOUND_FOR_ASSIGNMENT
            - PROCESSING_HOURS_ROLLOVER
            - TRANSIT_TIME_RESPONSE
            - ASSIGNMENT_EDD_CALCULATED
            - TRANSIT_TIME_ERROR
            - TRANSFER_EDD_CALCULATED
            - CONSOLIDATION_LATEST_TRANSFER_SELECTED
          type: string
      required:
        - type
      type: object
    UserContextInformation:
      properties:
        environmentID:
          format: int32
          type: integer
        loaded:
          type: boolean
        pathString:
          type: string
        siteID:
          format: int32
          type: integer
        siteService:
          $ref: '#/components/schemas/SiteService'
        tenantID:
          format: int32
          type: integer
        tenantService:
          $ref: '#/components/schemas/TenantService'
      type: object
    SuggestionEvent:
      properties:
        causeID:
          format: int32
          type: integer
        errors:
          items:
            type: string
          type: array
        name:
          type: string
        type:
          enum:
            - NEW_REQUEST
            - ROUTE_SELECTED
            - MAKE_LOCATIONS_AVAILABLE
            - NO_ROUTE_FOUND
            - REMOVED_INACTIVE_LOCATIONS
            - REMOVED_ON_HOLD_LOCATIONS
            - REMOVED_OVERFULFILLED_LOCATIONS
            - GROUP
            - GROUP_FILTER
            - GROUP_SORT
            - FILTER
            - SORT
            - AFTER_ACTION
            - FOUND_FULL_ORDER_LOCATION
            - RESPONSE
            - AFTER_ACTION_SORT
            - DEFAULT_RESPONSE
            - MAX_SPLITS_EXCEEDED
            - AUTO_ASSIGN_LIMIT_EXCEEDED
            - INVENTORY_REQUEST
            - REMOVED_INTERNATIONAL_LOCATIONS
            - SUGGESTION_UPDATED
            - NON_EXPRESS_LOCATIONS_FILTERED
            - STH_CONSOLIDATED_INITIATED
            - STH_CONSOLIDATED_NOT_USED
            - STH_CONSOLIDATED_USED
            - FUTURE_ATP_INITIATED
            - FUTURE_ATP_NOT_USED
            - FUTURE_ATP_USED
            - INVENTORY_CALL_EXCEPTION
            - STH_CONSOLIDATION_INVALID_LOCATION_OVERRIDE
            - STH_CONSOLIDATION_FORCE_OVERRIDE_INITIATED
            - NO_STH_CONSOLIDATION_LOCATION_FOUND
            - STH_CONSOLIDATION_FORCE_CLOSEST_VALID_LOCATION_FOUND
            - STH_CONSOLIDATION_FORCE_NO_VALID_LOCATIONS_FOUND
            - STH_CONSOLIDATION_FORCE_NO_GEO_LOCATION_VALUES_FOUND
            - STH_CONSOLIDATION_FORCE_INVALID_SHIPPING_ADDRESS_VALUES
          type: string
      required:
        - type
      type: object
    NewEddRequestSuggestionEvent:
      properties:
        causeID:
          format: int32
          type: integer
        errors:
          items:
            type: string
          type: array
        name:
          type: string
        request:
          $ref: '#/components/schemas/SuggestionRequest'
        type:
          enum:
            - NEW_REQUEST
            - ROUTE_SELECTED
            - MAKE_LOCATIONS_AVAILABLE
            - NO_ROUTE_FOUND
            - REMOVED_INACTIVE_LOCATIONS
            - REMOVED_ON_HOLD_LOCATIONS
            - REMOVED_OVERFULFILLED_LOCATIONS
            - GROUP
            - GROUP_FILTER
            - GROUP_FILTER_LOGICAL_GROUP
            - GROUP_FILTER_LOGICAL_GROUP_MISSING_ROOT
            - GROUP_SORT
            - FILTER
            - SORT
            - AFTER_ACTION
            - FOUND_FULL_ORDER_LOCATION
            - RESPONSE
            - AFTER_ACTION_SORT
            - DEFAULT_RESPONSE
            - MAX_SPLITS_EXCEEDED
            - AUTO_ASSIGN_LIMIT_EXCEEDED
            - INVENTORY_REQUEST
            - REMOVED_INTERNATIONAL_LOCATIONS
            - SUGGESTION_UPDATED
            - NON_EXPRESS_LOCATIONS_FILTERED
            - STH_CONSOLIDATED_INITIATED
            - STH_CONSOLIDATED_NOT_USED
            - STH_CONSOLIDATED_USED
            - FUTURE_ATP_INITIATED
            - FUTURE_ATP_NOT_USED
            - FUTURE_ATP_USED
            - INVENTORY_CALL_EXCEPTION
            - STH_CONSOLIDATION_INVALID_LOCATION_OVERRIDE
            - STH_CONSOLIDATION_FORCE_OVERRIDE_INITIATED
            - NO_STH_CONSOLIDATION_LOCATION_FOUND
            - CONSOLIDATION_FILTER_MINIMIZATION_VALIDATION
            - STH_CONSOLIDATION_FORCE_CLOSEST_VALID_LOCATION_FOUND
            - STH_CONSOLIDATION_FORCE_NO_VALID_LOCATIONS_FOUND
            - STH_CONSOLIDATION_FORCE_NO_GEO_LOCATION_VALUES_FOUND
            - STH_CONSOLIDATION_FORCE_INVALID_SHIPPING_ADDRESS_VALUES
            - MULTIPLE_CONSOLIDATION_LOGIC_INITIATED
            - MULTIPLE_CONSOLIDATION_POTENTIAL_TRANSFER_ASSIGNMENTS_FOUND
            - MULTIPLE_CONSOLIDATION_INITIAL_CANDIDATES_FOUND
            - MULTIPLE_CONSOLIDATION_SKIPPED_ORIGINAL_ASSIGNMENTS
            - MULTIPLE_CONSOLIDATION_LOGIC_SKIPPED
            - MULTIPLE_CONSOLIDATION_ASSIGNMENTS_CREATED
          type: string
      required:
        - type
      type: object
    NewReverseLogisticsRequestSuggestionEvent:
      properties:
        causeID:
          format: int32
          type: integer
        errors:
          items:
            type: string
          type: array
        name:
          type: string
        request:
          $ref: '#/components/schemas/ReturnSuggestionRequest'
        type:
          enum:
            - NEW_REQUEST
            - ROUTE_SELECTED
            - MAKE_LOCATIONS_AVAILABLE
            - NO_ROUTE_FOUND
            - REMOVED_INACTIVE_LOCATIONS
            - REMOVED_ON_HOLD_LOCATIONS
            - REMOVED_OVERFULFILLED_LOCATIONS
            - GROUP
            - GROUP_FILTER
            - GROUP_FILTER_LOGICAL_GROUP
            - GROUP_FILTER_LOGICAL_GROUP_MISSING_ROOT
            - GROUP_SORT
            - FILTER
            - SORT
            - AFTER_ACTION
            - FOUND_FULL_ORDER_LOCATION
            - RESPONSE
            - AFTER_ACTION_SORT
            - DEFAULT_RESPONSE
            - MAX_SPLITS_EXCEEDED
            - AUTO_ASSIGN_LIMIT_EXCEEDED
            - INVENTORY_REQUEST
            - REMOVED_INTERNATIONAL_LOCATIONS
            - SUGGESTION_UPDATED
            - NON_EXPRESS_LOCATIONS_FILTERED
            - STH_CONSOLIDATED_INITIATED
            - STH_CONSOLIDATED_NOT_USED
            - STH_CONSOLIDATED_USED
            - FUTURE_ATP_INITIATED
            - FUTURE_ATP_NOT_USED
            - FUTURE_ATP_USED
            - INVENTORY_CALL_EXCEPTION
            - STH_CONSOLIDATION_INVALID_LOCATION_OVERRIDE
            - STH_CONSOLIDATION_FORCE_OVERRIDE_INITIATED
            - NO_STH_CONSOLIDATION_LOCATION_FOUND
            - CONSOLIDATION_FILTER_MINIMIZATION_VALIDATION
            - STH_CONSOLIDATION_FORCE_CLOSEST_VALID_LOCATION_FOUND
            - STH_CONSOLIDATION_FORCE_NO_VALID_LOCATIONS_FOUND
            - STH_CONSOLIDATION_FORCE_NO_GEO_LOCATION_VALUES_FOUND
            - STH_CONSOLIDATION_FORCE_INVALID_SHIPPING_ADDRESS_VALUES
            - MULTIPLE_CONSOLIDATION_LOGIC_INITIATED
            - MULTIPLE_CONSOLIDATION_POTENTIAL_TRANSFER_ASSIGNMENTS_FOUND
            - MULTIPLE_CONSOLIDATION_INITIAL_CANDIDATES_FOUND
            - MULTIPLE_CONSOLIDATION_SKIPPED_ORIGINAL_ASSIGNMENTS
            - MULTIPLE_CONSOLIDATION_LOGIC_SKIPPED
            - MULTIPLE_CONSOLIDATION_ASSIGNMENTS_CREATED
          type: string
      required:
        - type
      type: object
    NewRequestSuggestionEvent:
      properties:
        causeID:
          format: int32
          type: integer
        errors:
          items:
            type: string
          type: array
        name:
          type: string
        request:
          $ref: '#/components/schemas/SuggestionRequest'
        type:
          enum:
            - NEW_REQUEST
            - ROUTE_SELECTED
            - MAKE_LOCATIONS_AVAILABLE
            - NO_ROUTE_FOUND
            - REMOVED_INACTIVE_LOCATIONS
            - REMOVED_ON_HOLD_LOCATIONS
            - REMOVED_OVERFULFILLED_LOCATIONS
            - GROUP
            - GROUP_FILTER
            - GROUP_FILTER_LOGICAL_GROUP
            - GROUP_FILTER_LOGICAL_GROUP_MISSING_ROOT
            - GROUP_SORT
            - FILTER
            - SORT
            - AFTER_ACTION
            - FOUND_FULL_ORDER_LOCATION
            - RESPONSE
            - AFTER_ACTION_SORT
            - DEFAULT_RESPONSE
            - MAX_SPLITS_EXCEEDED
            - AUTO_ASSIGN_LIMIT_EXCEEDED
            - INVENTORY_REQUEST
            - REMOVED_INTERNATIONAL_LOCATIONS
            - SUGGESTION_UPDATED
            - NON_EXPRESS_LOCATIONS_FILTERED
            - STH_CONSOLIDATED_INITIATED
            - STH_CONSOLIDATED_NOT_USED
            - STH_CONSOLIDATED_USED
            - FUTURE_ATP_INITIATED
            - FUTURE_ATP_NOT_USED
            - FUTURE_ATP_USED
            - INVENTORY_CALL_EXCEPTION
            - STH_CONSOLIDATION_INVALID_LOCATION_OVERRIDE
            - STH_CONSOLIDATION_FORCE_OVERRIDE_INITIATED
            - NO_STH_CONSOLIDATION_LOCATION_FOUND
            - CONSOLIDATION_FILTER_MINIMIZATION_VALIDATION
            - STH_CONSOLIDATION_FORCE_CLOSEST_VALID_LOCATION_FOUND
            - STH_CONSOLIDATION_FORCE_NO_VALID_LOCATIONS_FOUND
            - STH_CONSOLIDATION_FORCE_NO_GEO_LOCATION_VALUES_FOUND
            - STH_CONSOLIDATION_FORCE_INVALID_SHIPPING_ADDRESS_VALUES
            - MULTIPLE_CONSOLIDATION_LOGIC_INITIATED
            - MULTIPLE_CONSOLIDATION_POTENTIAL_TRANSFER_ASSIGNMENTS_FOUND
            - MULTIPLE_CONSOLIDATION_INITIAL_CANDIDATES_FOUND
            - MULTIPLE_CONSOLIDATION_SKIPPED_ORIGINAL_ASSIGNMENTS
            - MULTIPLE_CONSOLIDATION_LOGIC_SKIPPED
            - MULTIPLE_CONSOLIDATION_ASSIGNMENTS_CREATED
          type: string
      required:
        - type
      type: object
    ItemMeasurement:
      properties:
        unit:
          enum:
            - kg
            - cm
            - m
            - liters
            - grams
            - oz
            - lb
            - inches
            - ft
          type: string
        value:
          format: double
          minimum: 0
          type: number
      required:
        - unit
      type: object
    EddWindow:
      properties:
        deliveryDropoffEndTime:
          format: date-time
          type: string
        deliveryDropoffStartTime:
          format: date-time
          type: string
      type: object
    SiteService:
      type: object
    TenantService:
      properties:
        tenantAttributesCache:
          $ref: '#/components/schemas/TenantAttributesCache'
        tenantClient:
          $ref: '#/components/schemas/TenantClient'
      type: object
    SuggestionRequest:
      properties:
        bundlingStrategy:
          enum:
            - ITEM_DEPENDENCY
          type: string
        cartID:
          type: string
        customData:
          additionalProperties:
            type: string
          type: object
        environmentID:
          format: int32
          type: integer
        exclusionListLocationCode:
          items:
            $ref: '#/components/schemas/ExclusionListEntryLocationCode'
          type: array
        extendedCustomerInfo:
          $ref: '#/components/schemas/ExtendedCustomerInfo'
        extendedOrderInfo:
          $ref: '#/components/schemas/ExtendedOrderInfo'
        externalResponseID:
          type: string
        forceSTHConsolidationOnSplitShipments:
          type: boolean
        fraud:
          format: int32
          type: integer
        futureDateLimit:
          format: date-time
          type: string
        futureExclusionListLocationCode:
          items:
            $ref: '#/components/schemas/ExclusionListEntryLocationCode'
          type: array
        inventoryRequestType:
          enum:
            - ALL
            - ANY
            - PARTIAL
            - ALL_STORES
          type: string
        isExpress:
          type: boolean
        items:
          items:
            $ref: '#/components/schemas/OrderRoutingOrderItem'
          type: array
        locationCodeWhiteList:
          items:
            type: string
          type: array
        numShipmentsNotInRequest:
          format: int32
          type: integer
        orderID:
          format: int32
          type: integer
        orderType:
          enum:
            - DIRECTSHIP
            - TRANSFER
            - STH_CONSOLIDATED
            - RETURN
            - DISPOSITION
            - DELIVERY
            - BOPIS
          type: string
        pickupLocationCode:
          type: string
        shippingAddress:
          $ref: '#/components/schemas/OrderRoutingShippingAddress'
        shippingMethod:
          type: string
        sort:
          enum:
            - SUGGESTION_SORT
          type: string
        sthConsolidationLocationOverride:
          type: string
        strategyID:
          type: string
        tags:
          additionalProperties:
            type: string
          type: object
        total:
          type: number
      required:
        - items
        - orderType
        - total
      type: object
    ReturnSuggestionRequest:
      properties:
        bundlingStrategy:
          enum:
            - ITEM_DEPENDENCY
          type: string
        customData:
          additionalProperties:
            type: string
          type: object
        environmentID:
          format: int32
          type: integer
        exclusionListLocationCode:
          items:
            $ref: '#/components/schemas/ExclusionListEntryLocationCode'
          type: array
        extendedCustomerInfo:
          $ref: '#/components/schemas/ExtendedCustomerInfo'
        extendedOrderInfo:
          $ref: '#/components/schemas/ExtendedOrderInfo'
        externalResponseID:
          type: string
        fraud:
          format: int32
          type: integer
        isExpress:
          type: boolean
        items:
          items:
            $ref: '#/components/schemas/ReverseLogisticsItem'
          type: array
        locationCodeWhiteList:
          items:
            type: string
          type: array
        orderID:
          format: int32
          type: integer
        orderType:
          enum:
            - DIRECTSHIP
            - TRANSFER
            - STH_CONSOLIDATED
            - RETURN
            - DISPOSITION
            - DELIVERY
            - BOPIS
          type: string
        returnID:
          format: int32
          type: integer
        shippingAddress:
          $ref: '#/components/schemas/OrderRoutingShippingAddress'
        strategyID:
          type: string
        tags:
          additionalProperties:
            type: string
          type: object
        total:
          type: number
      required:
        - items
        - orderType
        - total
      type: object
    TenantAttributesCache:
      type: object
    TenantClient:
      type: object
    OrderRoutingOrderItem:
      properties:
        backorderable:
          type: boolean
        condition:
          type: string
        customItemData:
          additionalProperties:
            type: object
          type: object
        extendedProductInfo:
          $ref: '#/components/schemas/ExtendedProductInfo'
        futureOrderable:
          type: boolean
        granularInventoryItem:
          type: boolean
        height:
          format: double
          type: number
        itemDependency:
          format: int32
          type: integer
        length:
          format: double
          type: number
        orderItemID:
          format: int32
          type: integer
        partNumber:
          type: string
        productTitle:
          type: string
        quantity:
          format: int32
          type: integer
        serialNumber:
          type: string
        shippingMethod:
          type: string
        sku:
          type: string
        tags:
          additionalProperties:
            type: string
          type: object
        taxable:
          type: boolean
        upc:
          type: string
        weight:
          format: double
          type: number
        width:
          format: double
          type: number
      type: object
    ReverseLogisticsItem:
      properties:
        condition:
          type: string
        customItemData:
          additionalProperties:
            type: object
          type: object
        dispositionCondition:
          type: string
        extendedProductInfo:
          $ref: '#/components/schemas/ExtendedProductInfo'
        height:
          format: double
          type: number
        itemDependency:
          format: int32
          type: integer
        length:
          format: double
          type: number
        orderItemID:
          format: int32
          type: integer
        partNumber:
          type: string
        productTitle:
          type: string
        quantity:
          format: int32
          type: integer
        returnReason:
          type: string
        serialNumber:
          type: string
        sku:
          type: string
        tags:
          additionalProperties:
            type: string
          type: object
        taxable:
          type: boolean
        upc:
          type: string
        weight:
          format: double
          type: number
        width:
          format: double
          type: number
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````